Upstream information

CVE-2020-13692 at MITRE

Description

PostgreSQL JDBC Driver (aka PgJDBC) before 42.2.13 allows XXE.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.7 5.6
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:L/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact Low Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1172746 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for SUSE Manager Server 4.0
  • bind-formula >= 0.1.1603299886.60e4bcf-3.11.1
  • grafana-formula >= 0.2.2-4.13.1
  • postgresql-jdbc >= 42.2.10-3.3.1
  • prometheus-exporters-formula >= 0.7.5-3.16.1
  • prometheus-formula >= 0.2.3-4.16.1
  • python3-spacewalk-backend-libs >= 4.0.35-3.38.1
  • salt-netapi-client >= 0.18.0-4.12.1
  • spacewalk-admin >= 4.0.12-3.15.1
  • spacewalk-backend >= 4.0.35-3.38.1
  • spacewalk-backend-app >= 4.0.35-3.38.1
  • spacewalk-backend-applet >= 4.0.35-3.38.1
  • spacewalk-backend-config-files >= 4.0.35-3.38.1
  • spacewalk-backend-config-files-common >= 4.0.35-3.38.1
  • spacewalk-backend-config-files-tool >= 4.0.35-3.38.1
  • spacewalk-backend-iss >= 4.0.35-3.38.1
  • spacewalk-backend-iss-export >= 4.0.35-3.38.1
  • spacewalk-backend-package-push-server >= 4.0.35-3.38.1
  • spacewalk-backend-server >= 4.0.35-3.38.1
  • spacewalk-backend-sql >= 4.0.35-3.38.1
  • spacewalk-backend-sql-postgresql >= 4.0.35-3.38.1
  • spacewalk-backend-tools >= 4.0.35-3.38.1
  • spacewalk-backend-xml-export-libs >= 4.0.35-3.38.1
  • spacewalk-backend-xmlrpc >= 4.0.35-3.38.1
  • spacewalk-base >= 4.0.25-3.36.1
  • spacewalk-base-minimal >= 4.0.25-3.36.1
  • spacewalk-base-minimal-config >= 4.0.25-3.36.1
  • spacewalk-html >= 4.0.25-3.36.1
  • spacewalk-java >= 4.0.40-3.48.2
  • spacewalk-java-config >= 4.0.40-3.48.2
  • spacewalk-java-lib >= 4.0.40-3.48.2
  • spacewalk-java-postgresql >= 4.0.40-3.48.2
  • spacewalk-taskomatic >= 4.0.40-3.48.2
  • spacewalk-web >= 4.0.25-3.36.1
  • susemanager >= 4.0.32-3.46.1
  • susemanager-schema >= 4.0.23-3.32.1
  • susemanager-sls >= 4.0.31-3.37.1
  • susemanager-tools >= 4.0.32-3.46.1
  • susemanager-web-libs >= 4.0.25-3.36.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.0-2020-3466
SUSE Linux Enterprise Module for SUSE Manager Server 4.1
  • image-sync-formula >= 0.1.1605087464.65d1b51-3.9.5
  • mgr-libmod >= 4.1.5-3.8.2
  • postgresql-jdbc >= 42.2.10-3.3.5
  • python-susemanager-retail >= 1.0.1605087464.65d1b51-3.6.5
  • python3-spacewalk-certs-tools >= 4.1.14-3.9.5
  • python3-spacewalk-client-tools >= 4.1.8-4.9.5
  • python3-susemanager-retail >= 1.0.1605087464.65d1b51-3.6.5
  • saltboot-formula >= 0.1.1605087464.65d1b51-3.9.5
  • spacecmd >= 4.1.9-4.12.5
  • spacewalk-admin >= 4.1.8-3.9.5
  • spacewalk-backend >= 4.1.18-4.14.6
  • spacewalk-backend-app >= 4.1.18-4.14.6
  • spacewalk-backend-applet >= 4.1.18-4.14.6
  • spacewalk-backend-config-files >= 4.1.18-4.14.6
  • spacewalk-backend-config-files-common >= 4.1.18-4.14.6
  • spacewalk-backend-config-files-tool >= 4.1.18-4.14.6
  • spacewalk-backend-iss >= 4.1.18-4.14.6
  • spacewalk-backend-iss-export >= 4.1.18-4.14.6
  • spacewalk-backend-package-push-server >= 4.1.18-4.14.6
  • spacewalk-backend-server >= 4.1.18-4.14.6
  • spacewalk-backend-sql >= 4.1.18-4.14.6
  • spacewalk-backend-sql-postgresql >= 4.1.18-4.14.6
  • spacewalk-backend-tools >= 4.1.18-4.14.6
  • spacewalk-backend-xml-export-libs >= 4.1.18-4.14.6
  • spacewalk-backend-xmlrpc >= 4.1.18-4.14.6
  • spacewalk-base >= 4.1.21-3.12.5
  • spacewalk-base-minimal >= 4.1.21-3.12.5
  • spacewalk-base-minimal-config >= 4.1.21-3.12.5
  • spacewalk-certs-tools >= 4.1.14-3.9.5
  • spacewalk-client-tools >= 4.1.8-4.9.5
  • spacewalk-html >= 4.1.21-3.12.5
  • spacewalk-java >= 4.1.24-3.19.6
  • spacewalk-java-config >= 4.1.24-3.19.6
  • spacewalk-java-lib >= 4.1.24-3.19.6
  • spacewalk-java-postgresql >= 4.1.24-3.19.6
  • spacewalk-search >= 4.1.4-3.6.6
  • spacewalk-setup >= 4.1.7-3.6.5
  • spacewalk-taskomatic >= 4.1.24-3.19.6
  • spacewalk-web >= 4.1.21-3.12.5
  • supportutils-plugin-susemanager >= 4.1.4-3.3.5
  • susemanager >= 4.1.22-3.14.6
  • susemanager-doc-indexes >= 4.1-11.20.5
  • susemanager-docs_en >= 4.1-11.20.5
  • susemanager-docs_en-pdf >= 4.1-11.20.5
  • susemanager-frontend-libs >= 4.1.1-3.6.5
  • susemanager-retail-tools >= 1.0.1605087464.65d1b51-3.6.5
  • susemanager-schema >= 4.1.17-3.16.2
  • susemanager-sls >= 4.1.18-3.16.5
  • susemanager-sync-data >= 4.1.8-3.6.5
  • susemanager-tools >= 4.1.22-3.14.6
  • susemanager-web-libs >= 4.1.21-3.12.5
  • uyuni-cluster-provider-caasp >= 4.1.3-3.3.5
  • uyuni-config-modules >= 4.1.18-3.16.5
  • yomi-formula >= 0.0.1+git.1604593202.a2c22bf-3.6.5
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.1-2020-3781


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 SP4 postgresql-jdbc Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 postgresql-jdbc Affected
SUSE Linux Enterprise Server 11 SP4 LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP2 BCL postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP2 LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP3 BCL postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP3 LTSS postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP4 postgresql-jdbc Affected
SUSE Linux Enterprise Server 12 SP5 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 postgresql-jdbc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 postgresql-jdbc Affected
SUSE Manager Server 4.0 Module postgresql-jdbc Released
SUSE Manager Server 4.1 Module postgresql-jdbc Released